> ## Documentation Index
> Fetch the complete documentation index at: https://humanity-eaeda8f6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get presets 1



## OpenAPI

````yaml api-reference/openapi.json get /presets
openapi: 3.1.0
info:
  version: 0.1.0
  title: hp-public-dev-api-server
  description: NestJS CQRS + TDD base for Humanity Public Dev API
servers:
  - url: https://api.sandbox.humanity.org/v2
    description: Sandbox environment for development and testing
  - url: https://api.humanity.org/v2
    description: Production environment
security: []
tags: []
paths:
  /presets:
    get:
      tags: []
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresetsListResponse'
components:
  schemas:
    PresetsListResponse:
      type: object
      properties:
        presets:
          type: array
          items:
            $ref: '#/components/schemas/PresetInfo'
      required:
        - presets
    PresetInfo:
      type: object
      properties:
        name:
          oneOf:
            - const: humanity_uuid
            - const: humanity_score
            - const: is_human
            - const: country_of_residence
            - const: age
            - const: address_postal_code
            - const: legal_name
            - const: residency_region
            - const: age_over_18
            - const: nationality
            - const: address_full
            - const: date_of_birth
            - const: email
            - const: phone
            - const: age_over_21
            - const: social_accounts
            - const: wallet_address
            - const: primary_wallet_address
            - const: kyc_passed
            - const: kyc_last_updated_at
            - const: document_number
            - const: document_country
            - const: document_expiry_date
            - const: net_worth_above_10k
            - const: net_worth_above_100k
            - const: net_worth_total
            - const: bank_balance_total
            - const: loan_balance_total
            - const: google_connected
            - const: linkedin_connected
            - const: facebook_connected
            - const: twitter_connected
            - const: discord_connected
            - const: github_connected
            - const: telegram_connected
            - const: palm_verified
            - const: humanity_user
            - const: proof_of_assets
            - const: proof_of_investments
            - const: proof_of_mortgage
            - const: proof_of_residency
            - const: proof_of_retirement
        scope:
          oneOf:
            - const: identity:read
            - const: kyc:read
            - const: financial:read
            - const: identity:date_of_birth
            - const: identity:address_postal_code
            - const: identity:address_full
            - const: identity:legal_name
            - const: kyc:document_number
            - const: financial:bank_balance
            - const: financial:loan_balance
            - const: financial:net_worth
            - const: openid
            - const: profile.full
            - const: data.read
        category:
          oneOf:
            - const: identity
            - const: kyc
            - const: financial
            - const: profile
        description:
          type: string
        consentText:
          type: string
        type:
          oneOf:
            - const: string
            - const: number
            - const: boolean
            - const: integer
            - const: date
            - const: datetime
            - const: array
            - const: enum
        sensitivity:
          oneOf:
            - const: low
            - const: medium
            - const: high
            - const: critical
        derived:
          type: boolean
        parentField:
          oneOf:
            - const: humanity_uuid
            - const: humanity_score
            - const: is_human
            - const: country_of_residence
            - const: age
            - const: address_postal_code
            - const: legal_name
            - const: residency_region
            - const: age_over_18
            - const: nationality
            - const: address_full
            - const: date_of_birth
            - const: email
            - const: phone
            - const: age_over_21
            - const: social_accounts
            - const: wallet_address
            - const: primary_wallet_address
            - const: kyc_passed
            - const: kyc_last_updated_at
            - const: document_number
            - const: document_country
            - const: document_expiry_date
            - const: net_worth_above_10k
            - const: net_worth_above_100k
            - const: net_worth_total
            - const: bank_balance_total
            - const: loan_balance_total
            - const: google_connected
            - const: linkedin_connected
            - const: facebook_connected
            - const: twitter_connected
            - const: discord_connected
            - const: github_connected
            - const: telegram_connected
            - const: palm_verified
            - const: humanity_user
            - const: proof_of_assets
            - const: proof_of_investments
            - const: proof_of_mortgage
            - const: proof_of_residency
            - const: proof_of_retirement
      required:
        - name
        - scope
        - category
        - description
        - consentText
        - type
        - sensitivity
        - derived
      description: Full preset info including scope and category.

````